<div class="widget actions_fixed<?php if ($widget['class_wrap']) { ?> <?php echo $widget['class_wrap'];  } ?>" id="widget_wrapper_<?php echo $widget['id']; ?>">

    <?php if ($widget['title'] && $is_titles){ ?>
        <div class="widget_title<?php if ($widget['class_title']) { ?> <?php echo $widget['class_title'];  } ?>" role="button" title="<?php echo $widget['title']; ?>">
            <span><?php echo $widget['title']; ?></span>
            <?php if (!empty($widget['links'])) { ?>
                <div class="links">
                    <?php $links = string_parse_list($widget['links']); ?>
                    <?php foreach($links as $link){ ?>
                        <a href="<?php echo (mb_strpos($link['value'], 'http://')===0) ? $link['value'] : href_to($link['value']); ?>"><?php echo $link['id']; ?></a>
                    <?php } ?>
                </div>
            <?php } ?>
        </div>
    <?php } ?>

    <div class="widget_body<?php if ($widget['class']) { ?> <?php echo $widget['class'];  } ?>">
        <?php echo $widget['body']; ?>
		<?php if(cmsUser::isAdmin()){ ?>
			<?php include 'wrap_edit_links.tpl.php'; ?>
		<?php } ?>
    </div>

</div>
<style>
/* actions_fixed menu ==== */
#body section {
	position:relative;
	z-index:2;
}
.widget.actions_fixed {
    background: transparent;
    position: absolute;
    right: 0;
    width: 200px;
    z-index: 1;
}
.widget.actions_fixed.fixed_top {
    position: fixed;
    top: 0;
    z-index: 10;
}
.widget.actions_fixed > .widget_title {
    background: rgba(39, 174, 96, 1) url("/templates/tseso/images/icons32/menu-icon.svg") no-repeat center center;
	background-size: 20px 22px;
    color: #fff;
    cursor: pointer;
    float: right;
    font-size: 0;
    height: 25px;
    line-height: 25px;
    opacity: 1;
    text-align: center;
    transition: opacity 0.3s ease 0s;
}
.widget.actions_fixed.fixed_top > .widget_title {
	opacity:.7;
	box-shadow: 0 0 2px rgba(0, 0, 0, 0.5);
}
.widget.actions_fixed.fixed_top > .widget_title:hover,
.widget.actions_fixed.fixed_top.active > .widget_title {
	opacity:1;
}
.widget.actions_fixed.fixed_top.active > .widget_title {
	box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
}
.actions_fixed .widget_body {
	background-color: #fff;
	border: 5px solid rgb(39, 174, 96);
    border-radius: 4px 0 0 4px;
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.5);
	display: none;
	position: relative;
}

#body section #widget_pos_action .actions_fixed .menu {
    margin: -15px;
}
#body section #widget_pos_action .actions_fixed .menu li {
	display: block;
	margin: 0;
}
#body section #widget_pos_action .actions_fixed .menu li a {
	background-color: #fff;
    border-radius: 0;
    border-width: 0 0 1px;
	color: #27ae60;
    padding-bottom: 5px;
    padding-top: 6px;
}
#body section #widget_pos_action .actions_fixed .menu li a:hover {
	background-color: #f6f6f6;
}
.content_list_rss_icon {
    margin-right: 35px;
    position: relative;
    z-index: 2;
}
#body section h1 {
    margin-right: 35px;
}
#body section .content_list_rss_icon + h1 {
    margin-right: 51px;
}
#user_profile_rates{
	margin-right: 35px;
	margin-top: 0;
    position: relative;
    z-index: 3;
}
.subscribe_wrap {
    margin-right: 40px;
}
#widget_pos_action + #controller_wrap .subscribe_wrap {
    z-index: 10;
}
@media screen and (max-height: 480px) {
	.actions_fixed .widget_body {
		max-height: 400px;
		overflow-y: auto;
	}
}
@media screen and (max-height: 360px) {
	.actions_fixed.actions .widget_body {
		max-height: 280px;
		overflow-y: auto;
	}
}
@media screen and (max-height: 320px) {
	.actions_fixed.actions .widget_body {
		max-height: 240px;
		overflow-y: auto;
	}
}
</style>
<script>

	var start_pos  = $(".actions_fixed .widget_title").offset().top;
	var fixed_cont = $(".actions_fixed");
	var doc_w = $(document).width();
	var offset_left	 = fixed_cont.offset().left;
	var offset_fixed = doc_w - offset_left - 200;
	
	$(window).scroll(function(){
		if($(window).scrollTop()>=start_pos){
			if(fixed_cont.hasClass()==false){ 
				fixed_cont.addClass("fixed_top");
				fixed_cont.css("right", offset_fixed);
			}
		} else {
			fixed_cont.removeClass("fixed_top");
			fixed_cont.css("right", "");
		}
	});
	
	$(function(){
		$(".actions_fixed .widget_title").click(function(){
			$(".actions_fixed").toggleClass("active");
			$(".actions_fixed .widget_body").slideToggle(200);
		});
	});
	
	$(function(){
		$(document).click(function(event) {
			if ($(event.target).closest(".actions_fixed.active").length) return;
			$(".actions_fixed.active").removeClass("active");
			$(".actions_fixed .widget_body").slideUp(200);
			event.stopPropagation();
		});
	});
	
</script>